# Plane Image Plugin

This unofficial Talespire plugin allows adding textures planes to the board. These are ideal as maps for building Talespire content
and/or for adding textures to flat surfaces.

Video: https://youtu.be/mbp74o18TKM

Donate: http://lordashes.ca/TalespireDonate/Donate.php

## Changelog
```
1.0.0: Initial release
```

## Install

Use R2ModMan to download the Symbiote from Thunderstore

## Usage

``F10``\* = Add New Plane (will prompt for image name)
``F11``\* = Retexture currently selected plane (will prompt for image name) 
``F1``\* = Cycle between existing planes (selected plane indicated at bottom of screen for about 3 seconds)
``F2``\* = Toggle Move mode\*\*
``F3``\* = Toggle Size mode\*\*
``DELETE``\* = Delete currently selected plane 

\* = Default key indicated. Keys can be changed in the plugin's configuration.
\*\* = While in Move or Size mode, game keys will not work. Toggle out of these modes to use game keys.

## Features

\* Setup persists between sessions
\* Supports multiple planes
\* Supports in game movement (3 axis)
\* Supports in game sizing (2 axis)
\* Supports efficient update (updates are sent when user stops making changes)
\* On screen display for currently selected plane (3 seconds only)
\* On screen display of selected plane, plane position and plane scale when in move or size mode
